classification
Title: ActiveState Recipes links in docs, and the apparent closure of Recipes
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, rhettinger, terry.reedy, tritium
Priority: low Keywords:

Created on 2018-05-22 09:33 by tritium, last changed 2018-05-27 17:36 by rhettinger. This issue is now closed.

Messages (7)
msg317265 - (view) Author: Alex Walters (tritium) * Date: 2018-05-22 09:33
ActiveState has stopped accepting new recipes on their website, and migrated all current recipes to a Github repo.  I have seen no official announcement of a shutdown date for the code.activestate.com website, but it's future has to be in question considering the migration.

I propose we go through the docs for all the recipes, and either rescue them to a section of the docs (perhaps to a new "Code Examples" section), incorporate the recipes into the doc pages where appropriate, or excise them entirely.

Another option would be to update the links to the GitHub repo, but I am less enthusiastic about that option - GitHub repos come and go, and mutate structure easily.  I don't think it would be a good idea to deep link into a repository not controlled by the Python project.

It would stink to have a bunch of suddenly dead links in the docs.
msg317711 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-25 20:00
Can you check the copyright and license of the recipe text and code?
msg317712 - (view) Author: Alex Walters (tritium) * Date: 2018-05-25 20:10
All recipes are MIT licensed unless otherwise noted on the recipe itself.

However, AFAICT, all the recipes that are linked to in the docs are written by Raymond Hettinger, so I don't think licensing will be that big of an issue.  We know where he is, we can ask him, and he has signed a CLA.
msg317713 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2018-05-25 20:11
I'd suggest to contact ActiveState first before jumping to conclusions.
msg317714 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-25 20:15
The Python Cookbook, based on the site, says that copyright of each recipe is retained by original authors.  If so authors who have signed the PSF CLA can contribute their own work.

Since Active State must have collectively licensed the recipes to O'Reilly, they could do the same for us.  But if Raymond is the only author concerned, that should not be necessary.
msg317725 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-05-26 03:22
> I have seen no official announcement of a shutdown date for 
> the code.activestate.com website, but it's future has to be
> in question considering the migration.

We can check with ActiveState but my understanding is that they're leaving the existing web pages up (they already reduced the maintenance burden to zero by eliminating new updates so that the site wouldn't be spammed).  

So, I don't think there is a real issue here.  Also, I prefer the existing links because they include more than code (there is also exposition, commentary, history, and fork references).
msg317799 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-05-27 17:36
Marking this a closed. It can be reopened if ActiveState makes an announcement that they're actually going to kill the existing links.  Otherwise, this is pure speculation and not an actual problem to be solved.
History
Date User Action Args
2018-05-27 17:36:52rhettingersetstatus: open -> closed
resolution: later
messages: + msg317799

stage: resolved
2018-05-26 03:22:21rhettingersetpriority: normal -> low

messages: + msg317725
2018-05-25 20:15:02terry.reedysetnosy: - lemburg
messages: + msg317714
2018-05-25 20:11:28lemburgsetnosy: + lemburg
messages: + msg317713
2018-05-25 20:10:16tritiumsetmessages: + msg317712
2018-05-25 20:00:49terry.reedysetnosy: + terry.reedy
messages: + msg317711
2018-05-22 09:33:46tritiumcreate